#!/usr/bin/env bash

usage() {
    printf "$0 usage: \n -x: down\n -d \$DOMAIN: domain\n -t: tests\n -i integration\n" $0
    exit 0
}

domain=

while getopts ":hd:b" arg; do
  case $arg in
    d) domain=${OPTARG} ;;
    b) build=Y ;;
    h | *) usage ;;
  esac
done

export API=data/sample-api-users
docker build $API -f $API/Dockerfile.prod -t api:prod
export CLIENT=data/sample-client-users
docker build $CLIENT -f $CLIENT/Dockerfile -t client:prod
export DB=data/db
docker build $DB -f $DB/Dockerfile -t db:prod